Bug 697592 - Suspend/resume messes up graphics & fonts
Suspend/resume messes up graphics & fonts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 695031 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 13:16 EDT by Scott Bronson
Modified: 2012-06-07 14:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 14:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Bronson 2011-04-18 13:16:53 EDT
F15 works great on the Thinkpad X120e until you suspend and resume.  After resume, graphics and fonts are completely messed up until you reboot.

Here's an example: http://skitch.com/bronson/r43qd/f15-password-dialog-issue

Here's a phone-recorded video that shows some of the problems: http://www.youtube.com/watch?v=X--J9IPI9jk

After you reboot, everything is fixed.

How reproducible: 100%


Steps to Reproduce:
1. Boot F15 on Thinkpad X100e
2. Suspend
3. Resume
4. Everything is messed up.


Versions:  

Kernel version: Linux version 2.6.38.2-9.fc15.x86_64 (mockbuild@x86-03.phx2.fedoraproject.org) (gcc version 4.6.0 20110329 (Red Hat 4.6.0-1) (GCC) ) #1 SMP Wed Mar 30 16:55:57 UTC 2011

ATI Driver version: xorg-x11-drv-ati-6.14.0-7.20110316gitcdfc007ec.fc15.x86_64
Comment 1 Scott Bronson 2011-04-18 13:29:16 EDT
Here's some annotation for the video (watch in 720p):

0:06: Volume menu has the Bluetooth icon.  Capital V in "Volume" is missing.
0:11: Bluetooth menu icon incorrectly switches when menu drops down.
0:17: "P" and "O" in Power Off are missing.
0:27: Icons in dock on the left are missing or incorrect
0:41: Window name at bottom of screen is completely garbled
Comment 2 Scott Bronson 2011-04-18 13:31:59 EDT
Sorry, forgot to include hardware info.  Thinkpad X120e with AMD E-350 CPU and integrated AMD Radeon HD 6310 graphcs.
Comment 3 Dan Scott 2011-04-24 17:08:23 EDT
Sounds like a duplicate of #695031.
Comment 4 Chuck Ebbert 2011-04-25 03:36:58 EDT
*** Bug 695031 has been marked as a duplicate of this bug. ***
Comment 5 r6144 2011-09-01 03:16:04 EDT
My Bug 666523 has similar symptoms, mostly garbled font glyphs, but it seems to be caused by some kinds of OpenGL FBO (framebuffer object) use.  It still happens in Fedora 15.
Comment 6 Josh Boyer 2012-06-04 14:30:16 EDT
Is this still happening with the 2.6.43/3.3 kernel updates?
Comment 7 Scott Bronson 2012-06-07 14:09:38 EDT
I got really discouraged with Gnome3 so I bought a Mac.  I guess this can be closed.

Note You need to log in before you can comment on or make changes to this bug.